Service Pack 3?...

minimum requirements

By on April 9, 2009 1:53:42 PM from Demigod Forums Demigod Forums

WarlokLord

Join Date 09/2007
+19

The Demigod "More Info" page through Impulse lists XP Service Pack 3 as a requirement. Is this accurate? I played the entire beta without Service Pack 3. SP 2 is on my machine. What does SP 3 do for Demigod?

3 Replies
Search this post
Subscription Options


Reason for Karma (Optional)
Successfully updated karma reason!
April 9, 2009 2:05:56 PM from Demigod Forums Demigod Forums

Nothing.  It's just a standard policy and recommended to always have the latest greatest patch.  It's also easier for customer support to support only XP sp3.  Alot of other software and games do this too.

Reason for Karma (Optional)
Successfully updated karma reason!
April 9, 2009 6:56:52 PM from Demigod Forums Demigod Forums

Demigod will run on SP2 as well.

Reason for Karma (Optional)
Successfully updated karma reason!
April 10, 2009 10:04:50 AM from Demigod Forums Demigod Forums

Thanks.

Reason for Karma (Optional)
Successfully updated karma reason!
Stardock Forums v1.0.0.0    #108432  walnut2   Server Load Time: 00:00:00.0000078   Page Render Time:

Stardock Magazine | Register | Online Privacy Policy | Terms of Use

Copyright © 2014 Stardock Entertainment and Gas Powered Games. Demigod is a trademark of Gas Powered Games. All rights reserved. All other trademarks and copyrights are the properties of their respective owners. Windows, the Windows Vista Start button and Xbox 360 are trademarks of the Microsoft group of companies, and 'Games for Windows' and the Windows Vista Start button logo are used under license from Microsoft. © 2012 Advanced Micro Devices, Inc. All rights reserved. AMD, the AMD Arrow logo and combinations thereof are trademarks of Advanced Micro Devices, Inc.